Subject: Re: token FNAME

From: Zheng Gengbing <[email-masked]>
Date: Thu, 13 Jun 1996 15:55:58 +0800 (EAT)

On Thu, 13 Jun 1996, Li Xinying wrote:

> 
> 
> On Wed, 12 Jun 1996, Guansong Zhang wrote:
> 
> >
> > >    I distinguish intrisinc func from user defined func is because the
> > > number of intrisic func is limit,we can deal with it just as the
> > > keywords.Of course we can also only return NAME , but this will lead to
> > > pression on yacc, because now the intrisic func , user defined func
> > > and array refrence are all matched to same rule. We must deal with them
> > > seperately in the yacc action: look up in the intrisic func table to
> > > check if it is the intrisic func name, if not ,decide whether it is the
> > > func or array ( I have not good idea to do this ).
> > >    Maybe we should do it as this method.
> > >
> > >-- End of excerpt from Li Xinying
> > 
> > I am confused. In fact, I suggest two methods, which one do you mean?
> > 
> > Guansong
> > 
> 
>     I think I have expressed above. This part of work should be added in 
> the action part, that is hpf2dep, I think. Though it involves with 
> semetic analysing, but it is related with the correction of AST building. 
> So I prefer to hpf2dep.
> 
> xinying
> 

	In hpfsc , we already dealt with the intrinsic functions . So , hpf2dep
do did a redundent work on this . In intrinsic.f , we have a thorough 
definitions of intrinsic procedure prototypes even include HPF extension 
part . It 's more complete than the one provided in keywords.h .
	Though , there maybe some loopholes in hpfsc , I believe we have
done the check unless we forgot .

Gengbin